Package org.apache.storm.security.auth.sasl

# Class SimpleSaslServerCallbackHandler

java.lang.Object
org.apache.storm.security.auth.sasl.SimpleSaslServerCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class SimpleSaslServerCallbackHandler extends Object implements CallbackHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleSaslServerCallbackHandler(boolean impersonationAllowed, List<PasswordProvider> providers)`
  Constructor with different password providers.
  `SimpleSaslServerCallbackHandler(boolean impersonationAllowed, PasswordProvider... providers)`
  Constructor with different password providers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Callback[] callbacks)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleSaslServerCallbackHandler

    public SimpleSaslServerCallbackHandler(boolean impersonationAllowed, PasswordProvider... providers)
    Constructor with different password providers.
    Parameters:
      `impersonationAllowed` - true if impersonation is allowed else false.
      `providers` - what will provide a password. They will be checked in order, and the first one to return a password wins.

  - ### SimpleSaslServerCallbackHandler

    public SimpleSaslServerCallbackHandler(boolean impersonationAllowed, List<PasswordProvider> providers)
    Constructor with different password providers.
    Parameters:
      `impersonationAllowed` - true if impersonation is allowed else false.
      `providers` - what will provide a password. They will be checked in order, and the first one to return a password wins.

- ## Method Details

  - ### handle

    public void handle(Callback[] callbacks) throws UnsupportedCallbackException, IOException
    Specified by:
      `handle` in interface `CallbackHandler`
    Throws:
      `UnsupportedCallbackException`
      `IOException`